Name: ocamlweb
Version: 1.32
Release: alt3

Group: Development/Other
Summary: Literate programming tool for Objective Caml
License: Distributable
Url: http://www.lri.fr/~filliatr/ocamlweb/
Source: %name-%version.tar.gz
Source1: ocamlweb_fullpage.sty
Patch0: ocamlweb-make.patch
Patch1: ocamlweb-fullpage.patch
BuildRequires: ocaml
Requires: tetex-latex

%description

ocamlweb  is  a  literate  programming  tool for Objective
Caml.  It creates a LaTeX document with both documentation
and  code  (implementations  and interfaces) from a set of
Caml files.  Documentation is inserted into ocaml files as
comments.   Conversely, code may be quoted inside documen-
tation between square brackets.  See the ocamlweb web site
for documentation and examples.

%prep
%setup
%patch0 -p1
%patch1 -p0

%build
./configure --prefix=/usr
make

%install
%define _compress_method skip
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT%_mandir/man1/
mkdir -p $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/misc/
strip ocamlweb
cp ocamlweb $RPM_BUILD_ROOT/usr/bin/
cp doc/ocamlweb.1 $RPM_BUILD_ROOT%_mandir/man1/
cp ocamlweb.sty %SOURCE1 $RPM_BUILD_ROOT/usr/share/texmf/tex/latex/misc/

mkdir -p $RPM_BUILD_ROOT%_docdir/%name-%version
cp doc/ocamlweb*man.* README CHANGES INSTALL \
	 $RPM_BUILD_ROOT%_docdir/%name-%version/

%post
mktexlsr /usr/share/texmf > /dev/null

%preun
mktexlsr /usr/share/texmf > /dev/null

%files
%_bindir/*
%_mandir/man?/*
/usr/share/texmf/tex/latex/misc/*
%doc %_docdir/*

%changelog

* Fri Mar 28 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.32-alt3
- Fix for a fullpage.sty problem from Alexander S. Usov <A.S.Usov@KVI.nl>

* Fri Jan 24 2003 Vitaly Lugovsky <vsl@altlinux.ru> 1.32-alt2
- new version

* Sun Sep 08 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.31-alt1
- new version

*Tue May 14 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2-alt5
- SPEC cleanup (get rid of file name dups)

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru> 1.2-alt4
- Rebuild with ocaml-3.04+7-alt1

*Sat Feb 2 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.
